
import numpy as np
import matplotlib.pyplot as plt
import pandas as pd
from sklearn.cluster import KMeans
#Importing the mall dataset with pandas

dataset = pd.read_csv('Mall_Customers.csv')

# Segment customers into cluters using scikit-learn
def kmeans_calc(n_clusters_val):

  
    X = dataset.iloc[:,[3,4]].values
    kmeans=KMeans(n_clusters= n_clusters_val, init = 'k-means++', max_iter = 300, n_init = 10, random_state = 0)
    y_kmeans = kmeans.fit_predict(X)
    print('****** Customers segmented into different clusters 1 to 5 based on features Annual Income & Spending Score')
    print(y_kmeans)
    print('****** Cluster centre values obtained *******')
    print(kmeans.cluster_centres_)

# You can use the commented code to observe elbow method to choose your k value
'''def elbow():
    Inertia =[]
    for i in range (1,11):

        kmeans = KMeans(n_clusters = i, init = 'k-means++', max_iter =300, n_init = 10, random_state = 0)
        kmeans.fit(X)
        Inertia.append(kmeans.inertia_)

# Plot the graph to visualize the Elbow Method to find the optimal number of cluster  
plt.plot(range(1,11),Intertia)
plt.title('The Elbow Method')
plt.xlabel('Number of clusters')
plt.ylabel('Intertia')
plt.show()'''

  